Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.discovery
Class GetRepositoryItemResponse

    java.lang.Object
      org.deegree.ogcwebservices.csw.discovery.GetRepositoryItemResponse

    public class GetRepositoryItemResponse

extends Object

The `GetRepositoryItemResponse` wraps the result of a repository item as an xml-dom representation.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`GetRepositoryItemResponse(String id, URI repositoryItemID, XMLFragment respositoryItem)`

Method Summary
`String` | `getId()`
`XMLFragment` | `getRepositoryItem()`
`URI` | `getRepositoryItemID()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetRepositoryItemResponse

    public GetRepositoryItemResponse(String id,
                                     URI repositoryItemID,
                                     XMLFragment respositoryItem)

Parameters:
  `id` - of the request
  `repositoryItemID` - the requested item
  `respositoryItem` - the result as an xml-dom element

Method Detail

### getRepositoryItem

    public final XMLFragment getRepositoryItem()

  Returns:
    the respositoryItem as an xml-dom element

### getRepositoryItemID

    public final URI getRepositoryItemID()

  Returns:
    the repositoryItemID

### getId

    public final String getId()

  Returns:
    the id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org